Skip to Content
AccountingAccounts ReceivableReports

Retrieve the Aged Receivables Report

GET
/v0/business/{business_id}/reports/aged-receivables

Scopes: report:read

Authorization

OAuth2ClientCredentialsBearer report:read
headerAuthorizationBearer <token>

Scope: report:read

Path Parameters

business_id*Business Id

The id of the business

Formatbiz_string

Query Parameters

start_datetime*Start Datetime

The start date (inclusive) in ISO-8601 format.

Formatdate-time

Response Body

Successful Response

application/json
  1. response
data*array<>
Example Request
curl -X GET 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/reports/aged-receivables?start_datetime=2025-01-01T00%3A00%3A00Z'
Example Response
{  "data": [    {      "customer_id": "cus_ApaM9xeQtNyVk5qpaHJbNj",      "customer_name": "City Sports Complex",      "overdue_0_30": 900.81,      "overdue_31_60": 386.13,      "overdue_61_90": 250.31,      "overdue_90_plus": 120.1,      "total_outstanding": 85.24    }  ]}